## kdeaccessibility 4.4.5

=== ColorSchemes/CMakeLists.txt ===
install( FILES Zion.colors ZionReversed.colors DESTINATION ${DATA_INSTALL_DIR}/color-schemes )

=== IconThemes/CMakeLists.txt ===

set(iconthemes mono )

set(typeIcons actions animations apps categories devices emblems emotes intl mimetypes places status)

set(sizeIcon 8x8 11x11 16x16 22x22 24x24 32x32 48x48 64x64 128x128 scalable)

set(kdedir kde)

foreach (_currentthemedir ${iconthemes})
   	install(FILES ${_currentthemedir}/index.theme DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir} )
   
	foreach(_currentsize ${sizeIcon})
		
		foreach(_currenttypeicon ${typeIcons})
			FILE(GLOB _pngfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.png" )
			install(FILES ${_pngfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _mngfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.mng")
			install(FILES ${_mngfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _svgfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.svg")
			install(FILES ${_svgfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _svgzfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.svgz")
			install(FILES ${_svgzfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			# TODO fix it
			#foreach(_currentkdedir ${kdedir})
			#	FILE(GLOB _kdeicons "*.png
			#endforeach(_currentkdedir ${kdedir})		
		endforeach(_currenttypeicon ${typeIcons})

   	endforeach(_currentsize ${sizeIcon})

endforeach(_currentthemedir ${iconthemes})

=== kttsd/CMakeLists.txt ===
project(kttsd)

include(KttsdConfigureChecks.cmake)

configure_file (config-kttsd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kttsd.h )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkttsd ) 
add_subdirectory( filters ) 
add_subdirectory( kttsd ) 
add_subdirectory( kcmkttsmgr ) 
add_subdirectory( kttsmgr ) 
add_subdirectory( icons )

=== doc/kmouth/CMakeLists.txt ===
########### install files ###############

#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
kde4_create_manpage(man-kmouth.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== kmousetool/kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 




########### next target ###############

set(kmousetool_SRCS mtstroke.cpp kmousetool.cpp main.cpp )

kde4_add_ui_files(kmousetool_SRCS kmousetoolui.ui )

kde4_add_executable(kmousetool ${kmousetool_SRCS})

target_link_libraries(kmousetool ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS} ${X11_XTest_LIB} ${X11_Xext_LIB} ${X11_LIBRARIES})

install(TARGETS kmousetool  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kmousetool.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${DATA_INSTALL_DIR}/kmousetool/sounds )

=== kttsd/filters/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_subdirectory( stringreplacer ) 
add_subdirectory( xmltransformer ) 
add_subdirectory( talkerchooser ) 

include_directories( ${CMAKE_SOURCE_DIR}/kttsd/libkttsd  )


########### next target ###############

set(testfilter_SRCS main.cpp )


kde4_add_executable(testfilter TEST ${testfilter_SRCS})

target_link_libraries(testfilter  ${KDE4_KDECORE_LIBS} kttsd )


########### install files ###############

install( FILES kttsd_filterplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

=== kttsd/libkttsd/CMakeLists.txt ===

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=2405)

set(kttsd_LIB_SRCS
   talkercode.cpp 
   filterproc.cpp 
   filterconf.cpp 
   utils.cpp 
   talkerlistmodel.cpp 
   selecttalkerdlg.cpp 
   selectlanguagedlg.cpp) 

kde4_add_ui_files(kttsd_LIB_SRCS selecttalkerwidget.ui )


kde4_add_library(kttsd SHARED ${kttsd_LIB_SRCS})

target_link_libraries(kttsd
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS} )

set_target_properties(kttsd PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kttsd  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

#install( FILES kttsd_synthplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

=== kttsd/filters/talkerchooser/CMakeLists.txt ===

include_directories( ${CMAKE_SOURCE_DIR}/kttsd/libkttsd ${CMAKE_BINARY_DIR}/kttsd/libkttsd )


########### next target ###############

set(kttsd_talkerchooserplugin_PART_SRCS talkerchooserconf.cpp talkerchooserproc.cpp talkerchooserplugin.cpp )


kde4_add_ui_files(kttsd_talkerchooserplugin_PART_SRCS talkerchooserconfwidget.ui )


kde4_add_plugin(kttsd_talkerchooserplugin WITH_PREFIX ${kttsd_talkerchooserplugin_PART_SRCS})



target_link_libraries(kttsd_talkerchooserplugin  ${KDE4_KIO_LIBS} kttsd )

install(TARGETS kttsd_talkerchooserplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES female_notifications_rc  DESTINATION  ${DATA_INSTALL_DIR}/kttsd/talkerchooser/ )
install( FILES kttsd_talkerchooserplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeaccessibility (4:4.4.5-4) unstable; urgency=low

  [ Modestas Vainius ]
  * Do not send invalid settings (module, language) to speech-dispatcher
    because this tends to cause a crash deep inside speech-dispatcher library.
    (Closes: #607326)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 19 Dec 2010 18:03:55 +0200

kdeaccessibility (4:4.4.5-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Fix kttsd crash on startup when there is no configured talkers. Merge the
    fix to the kcmkttsd_permanent_settings_jobmgr_fixes.diff patch as it
    triggers this crash by using broken piece of upstream code.
    (Closes: #606166)
  * Fill list of available output modules in KTTS job manager even when default
    module is unknown (kcmkttsd_permanent_settings_jobmgr_fixes.diff updated).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 07 Dec 2010 01:23:34 +0200

kdeaccessibility (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * Add a series of patches to fix kttsd configuration framework which is
    completely broken. kttsd 4.4.x release is as a bunch of code which is in
    the middle of porting to speech-dispatcher from the old infrastructure.
    While the basics in the KTTS daemon work, the daemon is not configurable
    and hence unusable on the desktop. This series of patches attempts to
    address this RC shortcoming in order to make kttsd shippable in Debian
    stable (Closes: #599825). See patch headers for more information:
    - backport_kttsd_1072198_1138400.diff
    - kcmkttsd_permanent_settings_jobmgr_fixes.diff
    - kcmkttsd_support_talker_editing.diff

 -- Modestas Vainius <modax@debian.org>  Sat, 04 Dec 2010 01:31:31 +0200

kdeaccessibility (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update descriptions
  * Update email address

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 11:54:34 +0200

kdeaccessibility (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:11 +0300

kdeaccessibility (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:49 +0300

kdeaccessibility (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.

  [ Karl Ferdinand Ebert ]
  * fix lintian warning:
    - obsolete-relation-from-in-source in kmouth replaces:
      kttsd (<< 4:4.2.2-2)

  [ Pino Toscano ]
  * Add kttsd as depend for kmouth. (Closes: #568656)
  * kttsd now uses Speech Dispatcher for its job, so:
    - add speech-dispatcher as dependency, as it cannot work otherwise
    - change the festival recommend to speech-dispatcher-festival
    - add espeak recommend
    - remove epos
    - adjust description

  [ Sune Vuorela ]
  * Add libspeechd-dev to build-deps
  * Update install files

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:39:36 +0300

kdeaccessibility (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:03 +0200

kdeaccessibility (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Oct 2009 16:13:15 +0200

kdeaccessibility (4:4.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Sep 2009 17:01:32 +0200

kdeaccessibility (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Pino Toscano:

  * kttsd.install: use globbing for the kttsd plugins, otherwise there is
    explicitly indicated a plugin (the ALSA one) which will not be compiled on
    kFreeBSD and Hurd (no libasound2 there). (Closes: #540965)
  * "DCOP" -> "D-Bus" in kttsd description. (Closes: #534994)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 12 Aug 2009 23:48:08 +0200

kdeaccessibility (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2.
  * Update installed files.
  * Bump build dependencies to >= 4.3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:02:56 +0200

kdeaccessibility (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Fix sections.

  +++ Changes by Martin Alfke:

  * Move all kmouth icons ([no]speak.png) from kttsd.install to


=== debian/control ===
Source: kdeaccessibility
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs, cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libxtst-dev, libxt-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libspeechd-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeaccessibility.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeaccessibility.git

Package: kdeaccessibility
Architecture: all
Section: kde
Depends: kde-icons-mono (>= ${source:Version}), kmag (>= ${source:Version}),
 kmouth (>= ${source:Version}), kttsd (>= ${source:Version}),
 kmousetool (>= ${source:Version})
Description: accessibility packages from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of programs to make KDE more
 accessible, provided with the official release of KDE 4.

Package: kde-icons-mono
Architecture: all
Section: kde
Description: a monochromatic icons theme
 A monochromatic icon theme, designed for accessibility purposes.
 .
 This package is part of KDE accessibility module.

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a screen magnifie
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of KDE accessibility module.

Package: kmouth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kttsd
Replaces: kttsd (<< 4:4.2.2-2)
Section: utils
Description: a type-and-say frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of KDE 4 accessibility module.

Package: kttsd
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Homepage: http://accessibility.kde.org/developer/kttsd
Description: a Text-to-Speech system for KDE
 The KDE Text-to-Speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of KDE accessibility module.

Package: kmousetool
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of KDE accessibility module.


Package: kdeaccessibility-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdeaccessibility (= ${source:Version})
Priority: extra
Description: debugging symbols for kdeaccessibility
 This package contains the debugging symbols associated with kdeaccessibility.
 They will automatically be used by gdb for debugging kdeaccessibility-related
 issues.

## kdeaccessibility 4.5.1

=== debian/changelog ===
kdeaccessibility (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 17:05:32 +0200

kdeaccessibility (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:01 +0100

kdeaccessibility (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 02 Aug 2010 14:36:29 +0200

kdeaccessibility (4:4.4.95-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump kde-sc-dev-latest to 4.4.95

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 26 Jul 2010 18:27:32 -0600

kdeaccessibility (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump kde-sc-dev-latest to 4.4.92

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 04:43:20 +0200

kdeaccessibility (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream beta release
  * Bump kde-sc-dev-latest to 4.4.90
  * Modify jovie.install

 -- Rohan Garg <rohan16garg@gmail.com>  Fri, 25 Jun 2010 02:22:53 +0530

kdeaccessibility (4:4.4.85-0ubuntu3) maverick; urgency=low

  * New transitional package for kttsd
  * Modify depends of kdeaccessibility to include jovie

 -- Rohan Garg <rohan16garg@gmail.com>  Fri, 11 Jun 2010 18:49:24 +0530

kdeaccessibility (4:4.4.85-0ubuntu2) maverick; urgency=low

  * kmouth depends on jovie, kttsd is gone

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 20:19:13 +0200

kdeaccessibility (4:4.4.85-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream beta release:
    - Bump kde-sc-dev-latest build-depend version to 4.4.85
    - New jovie package:
      - Rename kttsd.install to jovie.install

  [ Alessandro Ghersi ]
  * Add Conflicts/Replaces with kttsd
  * Rename kttsd.README.Debian to jovie.README.Debian

 -- Rohan Garg <rohan16garg@gmail.com>  Wed, 09 Jun 2010 03:34:26 +0530

kdeaccessibility (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Bump kde-sc-dev-latest build-depend version to 4.4.80
    - Update kde-icons-mono.install
    - Update kttsd.install
  * Switch to source format 3.0
    - Bump debhelper build-depend version to 7.3.16
    - Remove now-unnecessary README.source

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 26 May 2010 07:10:10 -0400

kdeaccessibility (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining change:
    - Drop kttsd from metapackage since all backends are in universe
  * Bump replaces version on kttsd for kmouth since we're shuffling .install
    file items a cycle later than Debian did

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 12:36:03 -0400

kdeaccessibility (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 20:11:07 +0200

kdeaccessibility (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 22:27:53 +0100

kdeaccessibility (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 05:56:04 +0100

kdeaccessibility (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depend versions

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 05 Feb 2010 01:23:13 +0100

kdeaccessibility (4:4.3.98-0ubuntu1) lucid; urgency=low
  
  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 16:08:45 +0100

kdeaccessibility (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release candidate
    - Bump build dependencies to >= 4.3.95
  * Update install files
    - kttsd.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Wed, 20 Jan 2010 19:18:41 +0100

kdeaccessibility (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 18:35:21 -0500

kdeaccessibility (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 22:35:11 -0500

kdeaccessibility (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New usptream release
    - Re-pack source (gzip)
    - Bump build-deps
  * Update install files
    - kmouth.install
    - kttsd.install
  * Add build-dep to libspeechd-dev for kttsd

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 01 Dec 2009 12:00:43 -0330

kdeaccessibility (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:58 +0000

kdeaccessibility (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:51 +0000

kdeaccessibility (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Merge with Debian testing remaining changes:
    - debian/control:
      - Conflicts: kdeaccessibility-kde4, kdeaccessibility (<< 4:4.0.98-1)
      - Replaces: kdeaccessibility-kde4, kdeaccessibility (<< 4:4.0.98-1)
      - Drop kttsd from metapackage since all backends are in universe
    - Keep Kubuntu doc path
    - drop kubuntu_01_qreal_portability_fixes.diff fixed upstream

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 11 Nov 2009 03:13:46 +0100

kdeaccessibility (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.3.2



=== debian/control ===
Source: kdeaccessibility
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs, cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), libxtst-dev, libxt-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libspeechd-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdeaccessibility/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdeaccessibility/ubuntu

Package: kdeaccessibility
Architecture: all
Section: kde
Depends: kde-icons-mono (>= ${source:Version}), kmag (>= ${source:Version}),
 kmouth (>= ${source:Version}), jovie (>= ${source:Version}),
 kmousetool (>= ${source:Version})
Description: accessibility packages from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of programs to make KDE more
 accessible, provided with the official release of KDE 4.

Package: kde-icons-mono
Architecture: all
Section: kde
Description: a monochromatic icons theme for KDE
 A monochromatic icon theme for KDE, designed for accessibility purposes.
 .
 This package is part of KDE 4 accessibility module.

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a screen magnifier for KDE
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of KDE 4 accessibility module.

Package: kmouth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jovie
Replaces: kttsd (<< 4:4.4.60)
Section: utils
Description: a type-and-say KDE frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of KDE 4 accessibility module.

Package: jovie
Section: utils
Architecture: any
Provides: kttsd
Replaces: kttsd (<< 4.4.85)
Conflicts: kttsd (<< 4.4.85)
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Homepage: http://accessibility.kde.org/developer/kttsd
Description: a Text-to-Speech system for KDE
 The KDE Text-to-Speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of KDE 4 accessibility module.

Package: kttsd
Architecture: all
Depends: ${misc:Depends}, jovie
Description: a Text-to-Speech system for KDE
 The KDE Text-to-Speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.  
 .
 This package is part of KDE 4 accessibility module.
 .
 This is a transitional package for jovie, and can be safely removed
 after the installation is complete.

Package: kmousetool
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of KDE 4 accessibility module.


Package: kdeaccessibility-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdeaccessibility (= ${source:Version})
Priority: extra
Description: debugging symbols for kdeaccessibility
 This package contains the debugging symbols associated with kdeaccessibility.
 They will automatically be used by gdb for debugging kdeaccessibility-related
 issues.

## kdeaccessibility 4.5.5

=== debian/changelog ===
kdeaccessibility (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:45:43 -0400

kdeaccessibility (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 11:58:27 -0700

kdeaccessibility (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 12:12:12 +0000

kdeaccessibility (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 18:15:51 +0000

## kdeaccessibility 4.6.2

=== debian/changelog ===
kdeaccessibility (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Update kde-sc-dev-latest version

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 02 Apr 2011 20:32:37 +0000

kdeaccessibility (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release 
  * Update kde-sc-dev-latest version

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 28 Feb 2011 16:38:56 +0100

kdeaccessibility (4:4.6.0-0ubuntu2) UNRELEASED; urgency=low

  * Update kde-sc-dev-latest version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:34 +0000

kdeaccessibility (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Fix kaccessible description being too long.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 21 Jan 2011 17:18:51 +0100

kdeaccessibility (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Philip Muskovac <yofel@gmx.net>  Wed, 05 Jan 2011 18:30:10 +0100

kdeaccessibility (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 16:21:18 +0000

kdeaccessibility (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Philip Muskovac <yofel@gmx.net>  Mon, 06 Dec 2010 20:33:38 +0100

kdeaccessibility (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 17:03:56 +0000

kdeaccessibility (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 16:33:49 +0000

kdeaccessibility (4:4.5.2-0ubuntu1) natty; urgency=low

  * Merge with Debian unstable remaining changes:
    - New upstream release 4.5.2
    - kttsd package -> jovie package
    - Update kde-icons-mono.install for the new upstream release
    - Keep our conflicts/replaces

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 06:26:37 +0200

kdeaccessibility (4:4.4.5-2) UNRELEASED; urgency=low

  * Point debian/control Vcs fields to the new Git repository.

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Jul 2010 23:24:32 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
- cdbs, cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.6.2),
+ cdbs, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
  kdelibs5-dev (>= 4:4.5), libxtst-dev, libxt-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libspeechd-dev
 Standards-Version: 3.8.4
@@ -33,16 +33,26 @@
 Package: kde-icons-mono
 Architecture: all
 Section: kde
-Description: a monochromatic icons theme for KDE
- A monochromatic icon theme for KDE, designed for accessibility purposes.
+Description: a monochromatic icons theme
+ A monochromatic icon theme, designed for accessibility purposes.
  .
- This package is part of KDE 4 accessibility module.
+ This package is part of KDE accessibility module.
+
+Package: kaccessible
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: provides accessibility services to Qt applications
+ kaccessible implements a QAccessibleBridgePlugin to provide accessibility
+ services like focus tracking and a screenreader.
+ .
+ This package is part of KDE accessibility module.
 
 Package: kmag
 Architecture: any
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a screen magnifier for KDE
+Description: a screen magnifier
  KDE's screen magnifier tool.
  .
  You can use KMagnifier to magnify a part of the screen just as you would use
@@ -50,20 +60,20 @@
  useful for a variety of people: from researchers to artists to web-designers to
  people with low vision.
  .
- This package is part of KDE 4 accessibility module.
+ This package is part of KDE accessibility module.
 
 Package: kmouth
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, jovie
 Replaces: kttsd (<< 4:4.4.60)
 Section: utils
-Description: a type-and-say KDE frontend for speech synthesizers
+Description: a type-and-say frontend for speech synthesizers
  KDE's type-and-say frontend for speech synthesizers.
  .
  It includes a history of spoken sentences from which the user can select
  sentences to be re-spoken.
  .
- This package is part of KDE 4 accessibility module.
+ This package is part of KDE accessibility module.
 
 Package: jovie
 Section: utils
@@ -86,14 +96,14 @@
 Package: kttsd
 Architecture: all
 Depends: ${misc:Depends}, jovie
-Description: a Text-to-Speech system for KDE
+Description: a Text-to-Speech system
  The KDE Text-to-Speech system is a plugin based service that allows any KDE
  (or non-KDE) application to speak using the D-Bus interface.
  .
  It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
  useful front-end for it.  
  .
- This package is part of KDE 4 accessibility module.
+ This package is part of KDE accessibility module.
  .
  This is a transitional package for jovie, and can be safely removed
  after the installation is complete.
@@ -102,12 +112,12 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: KDE mouse manipulation tool for the disabled
+Description: mouse manipulation tool for the disabled
  KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
  designed to help those with repetitive strain injuries, for whom pressing
  buttons hurts.
  .
- This package is part of KDE 4 accessibility module.
+ This package is part of KDE accessibility module.
 
 
 Package: kdeaccessibility-dbg

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

## kdeaccessibility 4.6.5

=== debian/changelog ===
kdeaccessibility (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:53 +0300

kdeaccessibility (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:28 +0300

kdeaccessibility (4:4.6.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Remove backport_kttsd_1072198_1138400.diff, no longer needed.
  * Disable the following patch:
    - kcmkttsd_permanent_settings_jobmgr_fixes.diff
  * Rename kttsd package as jovie.
    - TODO: fix description, update jovie.README.Debian
  * Update installed files.
  * Bump Standards-Version to 3.9.1, no changes required.
  * Bump kdelibs5-dev to 4:4.6.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Cleanup pre-squeeze Replaces.

  [ Pino Toscano ]
  * Small updates to the descriptions.
  * Update lintian overrides.
  * Switch from kttsd to jovie in depends of kdeaccessibility and kmouth.
  * Provide a transitional kttsd package for migrating to jovie; they need to
    conflict as jovie has still few "kttsd" files.
  * Make jovie provide kttsd, as it provides also the kttsd D-Bus API.
  * Remove unused build dependencies:
    - libasound2-dev
  * Add kaccessible as dependency of the kdeaccessibility meta package.
  * Extract the last useful part from kcmkttsd_support_talker_editing.diff to
    a new jovie_scroll_when_add.diff, and remove the former patch.

  [ Modestas Vainius ]
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Add kaccessible package.
  * Add kmouth to kde-icons-mono Breaks/Replaces due to misplaced kmouth.svgz
    mono icon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:38 +0300

=== debian/control ===
Source: kdeaccessibility
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), libxtst-dev, libxt-dev,
 libspeechd-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeaccessibility.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeaccessibility.git

Package: kdeaccessibility
Architecture: all
Section: kde
Depends: kde-icons-mono (>= ${source:Version}), kmag (>= ${source:Version}),
 kmouth (>= ${source:Version}), jovie (>= ${source:Version}),
 kmousetool (>= ${source:Version}), kaccessible (>= ${source:Version})
Description: accessibility packages from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of programs to make KDE more
 accessible, provided with the official release of KDE.

Package: kde-icons-mono
Architecture: all
Section: kde
Depends: ${misc:Depends}
Replaces: kmouth (<< 4:4.6)
Breaks: kmouth (<< 4:4.6)
Description: monochromatic icons theme
 A monochromatic icon theme, designed for accessibility purposes.
 .
 This package is part of the KDE accessibility module.

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen magnifier tool
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of the KDE accessibility module.

Package: kmouth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jovie
Section: utils
Description: type-and-say frontend for speech synthesizers
 KDE's type-and-say frontend for speech synthesizers.
 .
 It includes a history of spoken sentences from which the user can select
 sentences to be re-spoken.
 .
 This package is part of the KDE accessibility module.

Package: jovie
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Replaces: kttsd (<< 4:4.6)
Breaks: kttsd (<< 4:4.6)
Provides: kttsd
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Homepage: http://accessibility.kde.org/developer/kttsd
Description: text-to-speech system for KDE
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: utils
Architecture: all
Depends: ${misc:Depends}, jovie
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

Package: kmousetool
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

Package: kaccessible
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: accessibility services for Qt applications
 kaccessible implements a QAccessibleBridgePlugin to provide accessibility
 services like focus tracking and a screen reader.
 .
 Components:
  * kaccessibleapp: a D-Bus activation service that acts as proxy.
  * kaccessiblebridge: a Qt plugin which will be loaded by the QAccessible
    framework in each Qt and KDE application.
 .
 This package is part of the KDE accessibility module.

Package: kdeaccessibility-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdeaccessibility (= ${source:Version})
Priority: extra
Description: debugging symbols for kdeaccessibility
 This package contains the debugging symbols associated with kdeaccessibility.
 They will automatically be used by gdb for debugging kdeaccessibility-related
 issues.

## kdeaccessibility 4.7.1

=== debian/changelog ===
kdeaccessibility (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:15:20 +0200

kdeaccessibility (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest build dependency to 4:4.7.1

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 11:22:36 +0200

kdeaccessibility (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jul 2011 16:15:12 +0200

kdeaccessibility (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream development release
    - Remove kde-icons-mono: it has been moved into kdeartwork
    - Change kdebase-runtime-dbg to kde-runtime-dbg into dependencies
    - Update jovie.install

 -- Romain Perier <romain.perier@gmail.com>  Fri, 08 Jul 2011 19:07:09 +0200

kdeaccessibility (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian Unstable, remaining change:
    - Keep kmouth's Replaces: kttsd (<< 4:4.4.60) until next LTS

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

  [ Felix Geyer ]
  * Bump kde-icons-mono replaces/breaks kmouth to << 4:4.6.3

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 May 2011 12:09:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kdeaccessibility
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.0),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.6), libxtst-dev, libxt-dev,
  libspeechd-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeaccessibility.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeaccessibility.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeaccessibility
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeaccessibility
 
 Package: kdeaccessibility
 Architecture: all
 Section: kde
-Depends: kde-icons-mono (>= ${source:Version}), kmag (>= ${source:Version}),
- kmouth (>= ${source:Version}), jovie (>= ${source:Version}),
- kmousetool (>= ${source:Version}), kaccessible (>= ${source:Version})
+Depends: kmag (>= ${source:Version}), kmouth (>= ${source:Version}),
+ jovie (>= ${source:Version}), kmousetool (>= ${source:Version}),
+ kaccessible (>= ${source:Version})
 Description: accessibility packages from the official KDE release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -28,17 +29,6 @@
  .
  This metapackage includes a collection of programs to make KDE more
  accessible, provided with the official release of KDE.
-
-Package: kde-icons-mono
-Architecture: all
-Section: kde
-Depends: ${misc:Depends}
-Replaces: kmouth (<< 4:4.6)
-Breaks: kmouth (<< 4:4.6)
-Description: monochromatic icons theme
- A monochromatic icon theme, designed for accessibility purposes.
- .
- This package is part of the KDE accessibility module.
 
 Package: kmag
 Architecture: any
@@ -57,6 +47,7 @@
 Package: kmouth
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, jovie
+Replaces: kttsd (<< 4:4.4.60)
 Section: utils
 Description: type-and-say frontend for speech synthesizers
  KDE's type-and-say frontend for speech synthesizers.
@@ -121,11 +112,10 @@
 Package: kdeaccessibility-dbg
 Section: debug
 Architecture: any
-Depends: kdebase-runtime-dbg
+Depends: kde-runtime-dbg
 Suggests: kdeaccessibility (= ${source:Version})
 Priority: extra
 Description: debugging symbols for kdeaccessibility
  This package contains the debugging symbols associated with kdeaccessibility.
  They will automatically be used by gdb for debugging kdeaccessibility-related
  issues.
-

## kdeaccessibility 4.7.2

=== debian/changelog ===
kdeaccessibility (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to 4:4.7.
  * Remove package kde-icons-mono, moved to src:kdeartwork.
  * kdeaccesibility Recomends kde-icons-mono rather than Depends.
  * Update installed files.
  * Update lintian overrides.

  [ Pino Toscano ]
  * Manage some packages renamings:
    - kdeaccessibility-dbg depends on kde-runtime-dbg instead of
      kdebase-runtime-dbg.
  * Add ${misc:Depends} where missing.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:12 -0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kdeaccessibility
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.0),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6), libxtst-dev, libxt-dev,
+ kdelibs5-dev (>= 4:4.7), libxtst-dev, libxt-dev,
  libspeechd-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeaccessibility
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeaccessibility
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeaccessibility.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeaccessibility.git
 
 Package: kdeaccessibility
 Architecture: all
-Section: kde
-Depends: kmag (>= ${source:Version}), kmouth (>= ${source:Version}),
- jovie (>= ${source:Version}), kmousetool (>= ${source:Version}),
- kaccessible (>= ${source:Version})
+Depends: ${misc:Depends}, kmag (>= ${source:Version}),
+ kmouth (>= ${source:Version}), jovie (>= ${source:Version}),
+ kmousetool (>= ${source:Version}), kaccessible (>= ${source:Version})
+Recommends: kde-icons-mono
 Description: accessibility packages from the official KDE release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -47,7 +46,6 @@
 Package: kmouth
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, jovie
-Replaces: kttsd (<< 4:4.4.60)
 Section: utils
 Description: type-and-say frontend for speech synthesizers
  KDE's type-and-say frontend for speech synthesizers.
@@ -112,10 +110,11 @@
 Package: kdeaccessibility-dbg
 Section: debug
 Architecture: any
-Depends: kde-runtime-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
 Suggests: kdeaccessibility (= ${source:Version})
 Priority: extra
 Description: debugging symbols for kdeaccessibility
  This package contains the debugging symbols associated with kdeaccessibility.
  They will automatically be used by gdb for debugging kdeaccessibility-related
  issues.
+
